"""
Author: Michel Peltriaux
Organization: Struktur- und Genehmigungsdirektion Nord, Rhineland-Palatinate, Germany
Contact: michel.peltriaux@sgdnord.rlp.de
Created on: 25.11.20

"""
from django.urls import path

from process.views import index_view, new_view, open_view, edit_view, remove_view, edit_status_view, \
    add_compensation_view

app_name = "process"
urlpatterns = [
    path('', index_view, name='index'),
    path('new/', new_view, name='new'),
    path('open/<id>', open_view, name='open'),
    path('edit/<id>', edit_view, name='edit'),
    path('edit/<id>/status', edit_status_view, name='edit-status'),
    path('remove/<id>', remove_view, name='remove'),
    path('ac/<id>', add_compensation_view, name='add-compensation'),
]
